failure upgrading from 3.6.1 pro to 3.7.0 pro

Post Reply
ionicnova
Ssr. Bludit
Posts: 19
Joined: Fri Oct 05, 2018 9:05 am

Sun Jan 27, 2019 7:53 pm

hi all.
just tried to upgrade as above. access.log gives 500 error...

admin/dashboard HTTP/1.1" 500 4433 "-" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/71.0.3578.98 Chrome/71.0.3578.98 Safari/537.36"

nothing in error.log
restoring 3.6.1 and everything is fine.
User avatar
diego
Site Admin
Posts: 698
Joined: Sat May 16, 2015 2:53 pm
Contact:

Sun Jan 27, 2019 8:07 pm

Can you do a copy of your site and do the update in the copy ? I would like to see what happen.

Also, enable the debug mode.
Change this line to TRUE in the new installation.

https://github.com/bludit/bludit/blob/m ... it.php#L11

Thanks
ionicnova
Ssr. Bludit
Posts: 19
Joined: Fri Oct 05, 2018 9:05 am

Sun Jan 27, 2019 8:24 pm

an install elsewhere (fresh install) it works ok.
original site upgraded to 3.7.0 with debug TRUE...
still the 500 error and...ahah...

AH01071: Got error 'PHP message: PHP Fatal error: Cannot declare class pluginDomainMigrator, because the name is already in use in bl-plugins/domain-migrator-1.1/plugin.php on line 0\n'
ionicnova
Ssr. Bludit
Posts: 19
Joined: Fri Oct 05, 2018 9:05 am

Sun Jan 27, 2019 8:34 pm

had
domain-migrator-1.1
and
domain-migrator
in the plugins directory.
deleted both and it's up and running.
one from github/patreon and one from the new install i think.
User avatar
diego
Site Admin
Posts: 698
Joined: Sat May 16, 2015 2:53 pm
Contact:

Sun Jan 27, 2019 8:41 pm

Ok, is a good point to mention in the release, the Domain migrator plugin is included in Bludit PRO 3.7.0, so if you already have it produce this error.
Thanks for the output.
ionicnova
Ssr. Bludit
Posts: 19
Joined: Fri Oct 05, 2018 9:05 am

Sun Jan 27, 2019 8:44 pm

glad to get it sorted and if i helped a little.
i installed just the version from 3.7.0 and everything is working fine.
Post Reply